function onBegin()
    disableMovement()
    disableRetry()
    teleportTo(32344, -747, "E1")
    wait(0.5)
    enableMovement()
    enableRetry()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableRetry()
        enableMovement()
    end
end